## org.eclipse.emf.cdo.session
Interface CDOCollectionLoadingPolicy

    public interface CDOCollectionLoadingPolicy

A strategy that specifies which list elememts must be present (loaded) in a `CDOID` list of a `revision` when a certain list index is accessed. Implementations of this interface can control the exact characteristics of a certain partial collection loading strategy.

Since:
  2.0

Field Summary
`static CDOCollectionLoadingPolicy` `DEFAULT` A default collection loading strategy that leads to complete loading of `CDOID` lists before any of their elements is accessed.

Method Summary
`int` `getInitialChunkSize()` Returns the maximum number of CDOIDs to be loaded for collections when an object is loaded, i.e.
`java.lang.Object` `resolveProxy(CDORevisionManager revisionManager, CDORevision revision, org.eclipse.emf.ecore.EStructuralFeature feature, int accessIndex, int serverIndex)` Defines a strategy to be used when the collection needs to resolve one element.

Field Detail

### DEFAULT

    static final CDOCollectionLoadingPolicy DEFAULT

  A default collection loading strategy that leads to complete loading of `CDOID` lists before any of their elements is accessed.

Method Detail

### getInitialChunkSize

    int getInitialChunkSize()

  Returns the maximum number of CDOIDs to be loaded for collections when an object is loaded, i.e. before any of their elements is accessed.

### resolveProxy

    java.lang.Object resolveProxy(CDORevisionManager revisionManager,
                                  CDORevision revision,
                                  org.eclipse.emf.ecore.EStructuralFeature feature,
                                  int accessIndex,
                                  int serverIndex)

  Defines a strategy to be used when the collection needs to resolve one element. `CDORevisionManager.loadChunkByRange(CDORevision, EStructuralFeature, int, int, int, int)` should be used to resolve them.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.